[![Build Status](https://travis-ci.org/hugopl/id_randomizer.svg?branch=master)](https://travis-ci.org/hugopl/id_randomizer)
[![codecov](https://codecov.io/gh/hugopl/id_randomizer/branch/master/graph/badge.svg)](https://codecov.io/gh/hugopl/id_randomizer)

# IdRandomizer

Change the table sequence to a pseudo-random value to add entropy to your tests.

If for some reason your tests are checking for ids of models instead of other data, this gem may avoid buggy tests to pass
due to the fact that models in test environment always have a low id.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'id_randomizer'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install id_randomizer

## Usage

When setting up your tests:

```
IdRandomizer.randomize_ids
```

If for some reason you don't want to randomize the ids of some table, use:

```
IdRandomizer.randomize_ids(except: %w(foos bars))
```

Currently only PostgreSQL is supported.

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/hugopl/id_randomizer.
