# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'id_randomizer/version'

Gem::Specification.new do |spec|
  spec.name          = 'id_randomizer'
  spec.version       = IdRandomizer::VERSION
  spec.authors       = ['Hugo Parente Lima']
  spec.email         = ['hugo.pl@gmail.com']
  spec.license       = 'MIT'
  spec.summary       = 'Add more entropy to tests by randomizing all initial ids'
  spec.description   = 'Just a method call to change the sequence_ids of all model tables found by ActiveRecord'
  spec.homepage      = 'https://github.com/hugopl/id_randomizer'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'codecov'
  spec.add_development_dependency 'pg'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop'

  spec.add_dependency 'activerecord', '> 4.2'
end
